Bug 20588 - [F+O 3.0] Typo in fn:resolve-uri
[F+O 3.0] Typo in fn:resolve-uri
Status: RESOLVED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: Functions and Operators 3.0
Last Call drafts
PC All
: P2 trivial
: ---
Assigned To: Michael Kay
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-07 16:07 UTC by Michael Kay
Modified: 2013-01-09 21:35 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Kay 2013-01-07 16:07:02 UTC
Third para of Errors section of fn:resolve-uri contains stray text ", then .".
Comment 1 Michael Kay 2013-01-08 18:35:53 UTC
And this one while we're about it (I'm not touching the documents until the CR publication is out):

from Abel:

Not sure this was previously mentioned somewhere. The text under "Rules" of the date/time functions [1] contains a relative link with a few dots on top of it, leading nowhere. The full text of the segment reads:

This function is ··. The precise instant during the query or transformation represented by the value of fn:current-date is ·implementation dependent·.

This text can be found under fn:current-date(), fn:current-dateTime(), fn:current-time(). Not sure what the proper term should be here.

(Note, the problem arises because the stylesheet used for XSLT allows an empty termref, while the one used for F+O doesn't. We should bring them into line.)
Comment 2 Michael Kay 2013-01-09 21:28:21 UTC
Note also 

* the red text <xtermdef>available text resources</xtermdef> in the section for the unparsed-text function.

* An empty "Error conditions" section in the function-lookup specification.
Comment 3 Michael Kay 2013-01-09 21:35:19 UTC
These trivial editorial errors have all now been fixed in the master XML (post-CR draft) (without any change markup or entry in the change log)